<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");

		include_once '../Database.php';
		include_once '../Anuncios/anuncio.php';

		$database = new DataBase();
		$db = $database->getConnection();
     
        $ciudad = isset($_GET['ciudad'])?$_GET['ciudad']:0;
        $estado =isset($_GET['estado'])?$_GET['estado']:0;
		$concepto = new Anuncio($db);
		try{
			$stmt = $concepto->select("select a.id,f.thumbai from anuncios as a inner join sub_archivo as f on a.id=f.id_anuncio where a.vip=1 and a.id_ciudades=".$ciudad." and a.id_estados=".$estado." and f.tipo=1");
		$num = $stmt->rowCount();

		if($num>0){
		    $lista=array();
			while($row =$stmt->fetch(PDO::FETCH_ASSOC)){
				array_push($lista,$row);
			}
			echo json_encode($lista);
		}
		else {
			echo json_encode(array("Mensaje"=>"No se han encontrado registros"));
		}
	}catch(Exeption $e){
		echo json_encode(array("Error"=>"Error ".$e));
	}
	
		
?>
